lwIP 2.1.2 Lightweight IP stack

Macros
DHCPv4
APIs » Sequential-style APIs » NETIF API

## Macros
#define | netifapi_dhcp_start(n) netifapi_netif_common(n, NULL, dhcp_start)
#define | netifapi_dhcp_stop(n) netifapi_netif_common(n, dhcp_stop, NULL)
#define | netifapi_dhcp_inform(n) netifapi_netif_common(n, dhcp_inform, NULL)
#define | netifapi_dhcp_renew(n) netifapi_netif_common(n, NULL, dhcp_renew)
#define | netifapi_dhcp_release(n) netifapi_netif_common(n, NULL, dhcp_release)
#define | netifapi_dhcp_release_and_stop(n) netifapi_netif_common(n, dhcp_release_and_stop, NULL)

## Detailed Description

To be called from non-TCPIP threads

## Macro Definition Documentation

## ◆ netifapi_dhcp_inform

#define netifapi_dhcp_inform | ( |  | n | ) | netifapi_netif_common(n, dhcp_inform, NULL)

See also
  dhcp_inform()

## ◆ netifapi_dhcp_release

#define netifapi_dhcp_release | ( |  | n | ) | netifapi_netif_common(n, NULL, dhcp_release)

Deprecated:
  Use netifapi_dhcp_release_and_stop() instead.

## ◆ netifapi_dhcp_release_and_stop

#define netifapi_dhcp_release_and_stop | ( |  | n | ) | netifapi_netif_common(n, dhcp_release_and_stop, NULL)

See also
  dhcp_release_and_stop()

## ◆ netifapi_dhcp_renew

#define netifapi_dhcp_renew | ( |  | n | ) | netifapi_netif_common(n, NULL, dhcp_renew)

See also
  dhcp_renew()

## ◆ netifapi_dhcp_start

#define netifapi_dhcp_start | ( |  | n | ) | netifapi_netif_common(n, NULL, dhcp_start)

See also
  dhcp_start()

## ◆ netifapi_dhcp_stop

#define netifapi_dhcp_stop | ( |  | n | ) | netifapi_netif_common(n, dhcp_stop, NULL)

Deprecated:
  Use netifapi_dhcp_release_and_stop() instead.